{% if apps is defined and apps|length > 0 %}

    <li id="app_tooltip" class="light-blue">
        <a title="Aplicaciones"  data-toggle="dropdown" class="dropdown-toggle" href="#">
            <i class="ace-icon fa fa-th"></i>
        </a>
    </li>

    <div style="display: none; width: 250px;" id="app_div">
        <div class="center">
            <h3 class="header smaller lighter blue">Mis Aplicaciones</h3>
            {% for app in apps %}
                <button data="{{ app.id }}" url="{{ app.url }}" title="{{ app.nombre }}" class="btn_aplicaciones btn btn-primary btn-app btn-xl">
                    <i class="ace-icon fa {{(app.icono)?app.icono:classicon}} bigger-200"></i>
                    <span>{{ app.nombre|length > 25 ? app.nombre|slice(0, 25) ~ '...' : app.nombre }} </span>
                </button>
            {% endfor %}
        </div>
        <br>
    </div>

    <style type="text/css">
        .btn_aplicaciones {
            line-height: 1.2rem !important;
            padding: 5px !important;
            height: 80px;
            width: 100px !important;
        }
        .btn_aplicaciones span {
            height: 20px !important;
            overflow: hidden;
            white-space: normal;
            font-size: 12px;
        }
    </style>

    <script>
        $(function() {
            $('.col-md-4').fadeIn(1000);
            $('.btn_aplicaciones').on('click', function(){
                var app_id = $(this).attr('data');
                var url = $(this).attr('url');
                $.ajax({
                    url: '{{path('core_seguridad_default_generatetoken')}}/'+app_id,
                    async: false,
                    type: 'GET',
                    dataType: 'json',
                    timeout: 3000,
                    success: function(json) {
                        if(json.status){
                            //$.openWindowWithPost(url+'{{app_globals.path_autologin}}','blank','',0,0,{'token':json.token});
                            $.openWindowWithPost(url+'{{app_globals.path_autologin}}','','',0,0,{'token':json.token});
                        }
                        else{
                            $.alert('No es Posible Mostrar la Aplicación');
                        }
                    }
                });
            });

            $.include_once('jquery.jbox',function(){
                jbox_app = new jBox('Tooltip', {
                    id: 'app_tooltip',
                    theme: 'TooltipBorder',

                    width: 'auto',
                    height: '400',
                    adjustTracker: true,
                    adjustDistance: {
                        top: 55,
                        right: 15,
                        bottom: 5,
                        left: 5
                    },
                    closeOnEsc: true,
                    closeOnClick: 'body',
                    animation: 'move',
                    attach: $('#app_tooltip'),
                    zIndex: 8000,
                    position: {
                        x: 'center',
                        y: 'top'
                    },
                    outside: 'y',
                    trigger: 'click',
                    content: $('#app_div')
                });
            });

        });
    </script>
{% endif %}
